Core - Task # 39137

Status: Resolved Priority: Should have
Author: Francois Suter Category: Code Cleanup
Created: 2012-07-20 Assigned To: Francois Suter
Updated: 2013-03-21 Due date:

TYPO3 Version: 6.0

PHP Version: 53

Complexity:

Sprint Focus:

Subject: Remove leftover deprecated stuff

Description

There are still several methods and other bits of code in the current master which were meant to be removed in 4.8/6.0. They should

be removed as planned.

Related issues:

related to Core - Task # 37081: Remove deprecated functions

related to Core - Bug # 36409: Remove deprecated code for 6.0

related to LTS Smooth Migration - Task # 49197: Check for 'Remove leftover de...

related to LTS Smooth Migration - Task # 49194: Check for 'Remove Code from C...

Resolved 2012-09-22
Closed 2012-04-21
Rejected 2013-06-17
New 2013-06-17

Associated revisions

Revision 0e0a47d8 - 2013-03-21 20:29 - Markus Klein

[TASK] Remove deprecated code

Remove all code that was marked for removal in version 6.0.

Resolves: #39137

Related: #37081

Releases: 6.1

Change-Id: 1a3efe60b280e886436153e07438b611d92c47a2f
Reviewed-on: https://review.typo3.org/15018

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 2bc05bc5 - 2013-03-21 22:16 - Markus Klein

[TASK] Remove deprecated code

Remove all code that was marked for removal in version 6.0.

Resolves: #39137

Related: #37081

Releases: 6.1

Change-Id: [1cc7d27506effef0fd0458ac59f4107e5431b2b2
Reviewed-on: https://review.typo3.org/15019

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
https://review.typo3.org/15018
https://review.typo3.org/15019

Revision 6¢fed696 - 2013-03-21 22:28 - Markus Klein

[TASK] Remove deprecated code

Remove all code that was marked for removal in version 6.0.

Change-Id: 198668661a4b4e3a4c2f3a035bfe4ddbaf2ef61f5
Resolves: #39137

Related: #37081

Releases: 6.1

Reviewed-on: https://review.typo3.org/12933

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2012-07-20 18:52 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12933

#2 - 2012-09-25 09:37 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/15017

#3 - 2012-09-25 09:37 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/15018

#4 - 2012-09-25 09:37 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/15019

#5 - 2012-09-25 09:42 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12933

#6 - 2012-09-25 09:43 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/15018
#7 - 2012-09-25 09:43 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/15019

#8 - 2012-10-07 18:40 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12933

#9 - 2013-01-13 19:06 - Helmut Hummel
- Target version changed from 6.0.0-alpha3 to 6.0.1

#10 - 2013-01-30 00:38 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/15018

#11 - 2013-01-30 00:44 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/15019

#12 - 2013-02-28 01:21 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/12933

#13 - 2013-03-21 20:26 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/15018

#14 - 2013-03-21 22:15 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/15019

#15 - 2013-03-21 22:27 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/12933

#16 - 2013-03-21 22:29 - Christian Kuhn
- Status changed from Under Review to Resolved
